Debian Bug report logs - #666126
transition: poppler 0.18

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Pino Toscano <pino@debian.org>

Date: Wed, 28 Mar 2012 21:57:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Wed, 28 Mar 2012 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Mar 2012 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: poppler 0.18
Date: Wed, 28 Mar 2012 23:52:45 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

I would like to ask a slot for a Poppler 0.18.x transition.
Currently there is Poppler 0.18.4 in experimental already. Please note
that there are still few issues that prevents it to be started,
so I'm filing this at this time to have this transition considered
by release-team.

This transition impacts the existing poppler libraries in the following ways:
- libpoppler13 → libpoppler19
- libpoppler-glib6 → libpoppler-glib8
- libpoppler-qt4-3 -- BC with 0.16, but bumps shlibs

Below it is a list of sources which are touched by the transition, and their
situation, sorted by solutions:

Sources that compile fine, and can be binNMU'ed:

  apvlv (poppler-glib)
  auto-multiple-choice (poppler)
  calibre (poppler)
  cups-filters (poppler)
  epdfview (poppler-glib)
  evince (poppler-glib)
  gdcm (poppler)
  gimp (poppler-glib)
  gnome-commander (poppler)
  gpdftext (poppler-glib)
  gummi (poppler-glib)
  inkscape (poppler, poppler-glib)
  koffice (poppler)
  libreoffice (poppler)
  openscenegraph (poppler-glib)
  pdf-presenter-console (poppler-glib)
  pdf2djvu (poppler)
  pdf2svg (poppler-glib)
  pdfcube (poppler-glib)
  pdfgrep (poppler)
  pdftoipe (poppler)
  popplerkit.framework (poppler)
  referencer (poppler-glib)
  ruby-gnome2 (poppler-glib)
  texlive-bin (poppler)
  tracker (poppler-glib)
  tumbler (poppler-glib)
  webkit2pdf (poppler-glib)
  xournal (poppler-glib)
  xpdf (poppler)
  zathura (poppler-glib)

Sources that currently FTBFS:

* gambas2 (poppler)
    In a private talk with the gambas2 maintainer, he told me gambas2
    is not fit for wheezy and it will be replaced ASAP with gambas3.
    No timing yet, though.
    The gambas2 FTBFS has been reported as #651386.

* luatex (poppler)
    This is #651169.

* poppler-sharp (poppler-glib)
    This is an arch:all package, so it needs a sourceful upload.
    It is #651385 and set as pending since some time.

* python-poppler (poppler-glib)
    The (small) patch needed to compile with poppler 0.18 breaks
    compatibility with python apps using the few poppler-glib functions
    dropped in poppler 0.16, so it cannot be uploaded right now.
    Bug is #651388, and it will need a sourceful upload.

Other cases:

* derivations (poppler)
    This source builds a libpoppler-based utility application which is
    only used during the build to generate other data, and no trace of
    that application are left in the resulting arch:all package.
    This source can be left out of the transition (and it compiles fine
    with poppler 0.18 anyway).

* pdfshuffler (python-poppler)
    Due to the API loss in poppler-glib (the ones that require a patch
    in python-poppler, see above) it will not run with a python-poppler
    patched as in #651388.
    It has been reported as #660937, and it is fixed upstream (with
    maintainer waiting for an upstream release).


I grouped all the bugs mentioned above (even the solved ones) with the
following usertag:
http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=pino@debian.org;tag=poppler-0.18

A tracker for poppler would have
- "affected" packages: b-d on libpoppler-dev or libpoppler-private-dev
                          or libpoppler-glib-dev or libpoppler-qt4-dev
- "bad" packages: depends on libpoppler13 or libpoppler-glib6
- "good" packages: depends on libpoppler19 or libpoppler-glib8
.... but since you already created it on my request, thanks!

Thanks,
-- 
Pino




Added blocking bug(s) of 666126: 651169, 651385, 651388, 651386, and 660937 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 22:09:17 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 666126: 666067 and 652650 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Mon, 30 Apr 2012 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Apr 2012 16:39:05 GMT) Full text and rfc822 format available.

Message #14 received at 666126@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 666126@bugs.debian.org
Subject: Re: transition: poppler 0.18
Date: Mon, 30 Apr 2012 18:37:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

Alle mercoledì 28 marzo 2012, Pino Toscano ha scritto:
> I would like to ask a slot for a Poppler 0.18.x transition.

An update on the status of this transition follows:

> Sources that currently FTBFS:
> 
> * gambas2 (poppler)
>     In a private talk with the gambas2 maintainer, he told me gambas2
>     is not fit for wheezy and it will be replaced ASAP with gambas3.
>     No timing yet, though.
>     The gambas2 FTBFS has been reported as #651386.

This is still unfixed, and it is RC-buggy for few months now. It seems 
there's no dependency issue in removing gambas2 from testing, so in case 
it could be hinted out of testing at transition time.

> * luatex (poppler)
>     This is #651169.

This has been fixed.

> * poppler-sharp (poppler-glib)
>     This is an arch:all package, so it needs a sourceful upload.
>     It is #651385 and set as pending since some time.

This is fixed in experimental (but will still need a sourceful "upload 
to unstable"), and I will ping Chow Loong Jin when the transition 
starts.

> * pdfshuffler (python-poppler)
>     Due to the API loss in poppler-glib (the ones that require a
> patch in python-poppler, see above) it will not run with a
> python-poppler patched as in #651388.
>     It has been reported as #660937, and it is fixed upstream (with
>     maintainer waiting for an upstream release).

The new version fixing the issue has been uploaded yesterday to 
unstable.

> * python-poppler (poppler-glib)
>     The (small) patch needed to compile with poppler 0.18 breaks
>     compatibility with python apps using the few poppler-glib
> functions dropped in poppler 0.16, so it cannot be uploaded right
> now. Bug is #651388, and it will need a sourceful upload.

Given that pdfshuffler has been fixed, the patch for python-poppler 
removing functions of poppler-glib dropped in 0.18 has been uploaded to 
unstable (after experimental) few hours ago.

AFAICS, now the current block for this transition is the kpathsea 
transiton; also, there are other transitions which would conflict with 
this (openjpeg, exiv2, gdal, db5.3, ffi).

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 666126: 670967 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 Apr 2012 20:30:10 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 666126: 651386 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Thu, 17 May 2012 21:36:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Thu, 31 May 2012 13:06:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 31 May 2012 13:06:24 GMT) Full text and rfc822 format available.

Message #23 received at 666126@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 666126@bugs.debian.org
Cc: Pino Toscano <pino@debian.org>
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Thu, 31 May 2012 14:10:13 +0200
[Message part 1 (text/plain, inline)]
tag 666126 pending
thanks

Pino Toscano <pino@debian.org> (30/04/2012):
> AFAICS, now the current block for this transition is the kpathsea
> transiton; also, there are other transitions which would conflict with
> this (openjpeg, exiv2, gdal, db5.3, ffi).

I think we're good to go now, please upload.

Rene asked for our waiting for libreoffice to migrate before we schedule
binNMUs, but that might not be going to happen right now because of
various problems with o-o-d binaries.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 31 May 2012 13:06:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Thu, 31 May 2012 13:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 31 May 2012 13:21:22 GMT) Full text and rfc822 format available.

Message #30 received at 666126@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 666126@bugs.debian.org
Cc: debian-openoffice@llists.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Thu, 31 May 2012 15:10:54 +0200
Hi,

On Thu, May 31, 2012 at 02:10:13PM +0200, Cyril Brulebois wrote:
> Rene asked for our waiting for libreoffice to migrate before we schedule
> binNMUs, but that might not be going to happen right now because of
> various problems with o-o-d binaries.

Which will be auto-cruft removed (when I get around uploading fixed
transitional packages tonight). So it's just 2 days waiting time (assuming
it gets auto-crufted fast).

And a poppler upload to sid will need to wait a few days anyway so you
can bin-NMU (or I do a source upload) then anyway...

bin-NMUing now would again hinder LO 3.5.x migrating to testing replacing
the rc-buggy/hosed up 3.4.x there (and testing has already stuff not
working with 3.4.x)..

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Fri, 01 Jun 2012 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 01 Jun 2012 22:33:03 GMT) Full text and rfc822 format available.

Message #35 received at 666126@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 666126@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Sat, 2 Jun 2012 00:27:50 +0200
[Message part 1 (text/plain, inline)]
Hi,

Alle giovedì 31 maggio 2012, Cyril Brulebois ha scritto:
> Pino Toscano <pino@debian.org> (30/04/2012):
> > AFAICS, now the current block for this transition is the kpathsea
> > transiton; also, there are other transitions which would conflict
> > with this (openjpeg, exiv2, gdal, db5.3, ffi).
> 
> I think we're good to go now, please upload.

Thanks, I've uploaded poppler 0.18.4 to unstable yesterday, and it 
compiled fine everywhere.

I've pinged this morning Chow Loong Jin, and later he kindly uploaded 
the arch:all poppler-sharp.

> Rene asked for our waiting for libreoffice to migrate before we
> schedule binNMUs, but that might not be going to happen right now
> because of various problems with o-o-d binaries.

So excluding libreoffice for now, could you please start scheduling the 
rebuilds?
I guess you could also exclude gambas3 and luatex for few days (to let 
the, migrate to testing first), and calligra (will get an upload of a 
new upstream release soon, and would be a waste to rebuild).

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Sun, 03 Jun 2012 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 03 Jun 2012 22:24:03 GMT) Full text and rfc822 format available.

Message #40 received at 666126@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>, 666126@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Mon, 4 Jun 2012 00:21:28 +0200
[Message part 1 (text/plain, inline)]
Hello Pino,

Pino Toscano <pino@debian.org> (02/06/2012):
> Thanks, I've uploaded poppler 0.18.4 to unstable yesterday, and it 
> compiled fine everywhere.

thanks.

> I've pinged this morning Chow Loong Jin, and later he kindly uploaded 
> the arch:all poppler-sharp.

ACK.

> I guess you could also exclude gambas3 and luatex for few days (to let 
> the, migrate to testing first), and calligra (will get an upload of a 
> new upstream release soon, and would be a waste to rebuild).

Did that on all archictectures:

kibi@grieg:~$ wb nmu apvlv calibre cups-filters epdfview gdcm gimp gle-graphics gnome-commander gpdftext gummi inkscape libextractor pdf-presenter-console pdf2djvu pdf2svg pdfcube pdftoipe python-poppler referencer tracker tumbler webkit2pdf xournal xpdf zathura . ALL . -m 'Rebuild for the poppler transition.'

Arch-specific:
 
kibi@grieg:~$ wb nmu texlive-bin . ALL -sparc . -m 'Rebuild for the poppler transition.' && wb nmu popplerkit.framework . ALL -amd64 -ia64 . -m 'Rebuild for the poppler transition.'

Others:
 - didn't do gambas3 for now,
 - calligra, luatex are in level 2 anyway. (the former has been uploaded now, too)

Hopefully I didn't forget too much…

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 666126: 675972 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 17:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Tue, 05 Jun 2012 08:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Jun 2012 08:27:06 GMT) Full text and rfc822 format available.

Message #47 received at 666126@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 666126@bugs.debian.org
Cc: Pino Toscano <pino@debian.org>
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Tue, 5 Jun 2012 10:25:04 +0200
On Mon, Jun  4, 2012 at 00:21:28 +0200, Cyril Brulebois wrote:

> Pino Toscano <pino@debian.org> (02/06/2012):
> > I guess you could also exclude gambas3 and luatex for few days (to let 
> > the, migrate to testing first), and calligra (will get an upload of a 
> > new upstream release soon, and would be a waste to rebuild).
> 
> Did that on all archictectures:
> 
> kibi@grieg:~$ wb nmu apvlv calibre cups-filters epdfview gdcm gimp gle-graphics gnome-commander gpdftext gummi inkscape libextractor pdf-presenter-console pdf2djvu pdf2svg pdfcube pdftoipe python-poppler referencer tracker tumbler webkit2pdf xournal xpdf zathura . ALL . -m 'Rebuild for the poppler transition.'
> 
Having a version number in the changelog would be nice, ie poppler 0.18
or libpoppler19.
>  
> kibi@grieg:~$ wb nmu texlive-bin . ALL -sparc . -m 'Rebuild for the poppler transition.' && wb nmu popplerkit.framework . ALL -amd64 -ia64 . -m 'Rebuild for the poppler transition.'

Why the restriction on popplerkit.framework?

Now scheduled gambas3, luatex and evince.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Tue, 05 Jun 2012 08:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Jun 2012 08:33:15 GMT) Full text and rfc822 format available.

Message #52 received at 666126@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 666126@bugs.debian.org, Pino Toscano <pino@debian.org>
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Tue, 5 Jun 2012 10:31:20 +0200
[Message part 1 (text/plain, inline)]
Julien Cristau <jcristau@debian.org> (05/06/2012):
> Having a version number in the changelog would be nice, ie poppler 0.18
> or libpoppler19.

Ack.

> Why the restriction on popplerkit.framework?

Erm. Probably misread the table or pasted the wrong package name.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Tue, 05 Jun 2012 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Jun 2012 16:15:07 GMT) Full text and rfc822 format available.

Message #57 received at 666126@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>, 666126@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Tue, 05 Jun 2012 17:12:29 +0100
On Mon, 2012-06-04 at 00:21 +0200, Cyril Brulebois wrote:
> kibi@grieg:~$ wb nmu apvlv calibre cups-filters epdfview gdcm gimp gle-graphics gnome-commander gpdftext gummi inkscape libextractor pdf-presenter-console pdf2djvu pdf2svg pdfcube pdftoipe python-poppler referencer tracker tumbler webkit2pdf xournal xpdf zathura . ALL . -m 'Rebuild for the poppler transition.'

Was ruby-gnome2 intentionally not included, or simply overlooked?  (I
didn't spot anything about it in the previous messages.)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Tue, 05 Jun 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Jun 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #62 received at 666126@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 666126@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Tue, 5 Jun 2012 21:32:09 +0200
On Tue, Jun  5, 2012 at 17:12:29 +0100, Adam D. Barratt wrote:

> On Mon, 2012-06-04 at 00:21 +0200, Cyril Brulebois wrote:
> > kibi@grieg:~$ wb nmu apvlv calibre cups-filters epdfview gdcm gimp gle-graphics gnome-commander gpdftext gummi inkscape libextractor pdf-presenter-console pdf2djvu pdf2svg pdfcube pdftoipe python-poppler referencer tracker tumbler webkit2pdf xournal xpdf zathura . ALL . -m 'Rebuild for the poppler transition.'
> 
> Was ruby-gnome2 intentionally not included, or simply overlooked?  (I
> didn't spot anything about it in the previous messages.)
> 
I've scheduled it now, along with the missing 2 archs for
popplerkit.framework.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Thu, 07 Jun 2012 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 07 Jun 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #67 received at 666126@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 666126@bugs.debian.org
Subject: Re: transition: poppler 0.18
Date: Thu, 7 Jun 2012 22:06:30 +0200
[Message part 1 (text/plain, inline)]
Hi,

Alle mercoledì 28 marzo 2012, Pino Toscano ha scritto:
> A tracker for poppler would have
> - "affected" packages: b-d on libpoppler-dev or
> libpoppler-private-dev or libpoppler-glib-dev or libpoppler-qt4-dev
> - "bad" packages: depends on libpoppler13 or libpoppler-glib6 -
> "good" packages: depends on libpoppler19 or libpoppler-glib8 ....

Apparently the way things based on poppler-sharp build makes them carry 
a dependency on libpoppler-glib, so could you please
a) add "b-d on libpoppler-cil-dev" to the "affected" packages in the
   transition tracker
b) binNMU pdfmod (the only source added by the above), which does
   compile fine (just tested)

Sorry for having forgotten that detail, and thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Fri, 08 Jun 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 08 Jun 2012 08:27:03 GMT) Full text and rfc822 format available.

Message #72 received at 666126@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>, 666126@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Fri, 8 Jun 2012 10:24:09 +0200
[Message part 1 (text/plain, inline)]
Hello Pino,

Pino Toscano <pino@debian.org> (07/06/2012):
> Apparently the way things based on poppler-sharp build makes them carry 
> a dependency on libpoppler-glib, so could you please
> a) add "b-d on libpoppler-cil-dev" to the "affected" packages in the
>    transition tracker

done.

> b) binNMU pdfmod (the only source added by the above), which does
>    compile fine (just tested)

Nope, arch:all package.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Thu, 14 Jun 2012 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 14 Jun 2012 12:57:08 GMT) Full text and rfc822 format available.

Message #77 received at 666126@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 666126@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Thu, 14 Jun 2012 14:55:12 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 04, 2012 at 12:21:28AM +0200, Cyril Brulebois wrote:
[...]
> Did that on all archictectures:
> 
> kibi@grieg:~$ wb nmu apvlv calibre cups-filters epdfview gdcm gimp gle-graphics gnome-commander gpdftext gummi inkscape libextractor pdf-presenter-console pdf2djvu pdf2svg pdfcube pdftoipe python-poppler referencer tracker tumbler webkit2pdf xournal xpdf zathura . ALL . -m 'Rebuild for the poppler transition.'

  Seems rebuild has triggered http://bugs.debian.org/677345
  Should I wait until poppler 0.18 transition ends or should I upload the
fix right now?

  regards,
-- 
  Ricardo Mones 
  ~
  The three principal virtues of a programmer are Laziness, 
  Impatience, and Hubris.                                    man perl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Thu, 14 Jun 2012 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 14 Jun 2012 14:09:03 GMT) Full text and rfc822 format available.

Message #82 received at 666126@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Ricardo Mones <mones@debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 666126@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Thu, 14 Jun 2012 16:06:48 +0200
[Message part 1 (text/plain, inline)]
Hi Ricardo!

Alle giovedì 14 giugno 2012, Ricardo Mones ha scritto:
>   Seems rebuild has triggered http://bugs.debian.org/677345
>   Should I wait until poppler 0.18 transition ends or should I upload
> the fix right now?

poppler 0.18 migrated to testing, so you can go ahead in fixing that 
(and #677521 too, please? ;) ).

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Thu, 14 Jun 2012 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 14 Jun 2012 14:36:05 GMT) Full text and rfc822 format available.

Message #87 received at 666126@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: Pino Toscano <pino@debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 666126@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Thu, 14 Jun 2012 16:33:38 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jun 14, 2012 at 04:06:48PM +0200, Pino Toscano wrote:
> Hi Ricardo!
> 
> Alle giovedì 14 giugno 2012, Ricardo Mones ha scritto:
> >   Seems rebuild has triggered http://bugs.debian.org/677345
> >   Should I wait until poppler 0.18 transition ends or should I upload
> > the fix right now?
> 
> poppler 0.18 migrated to testing, so you can go ahead in fixing that 

  Alright, tracker was/is at 94%, so I thought it wasn't finished...

> (and #677521 too, please? ;) ).

  Yep, saw that too :)

  thanks,
-- 
  Ricardo Mones 
  ~
  The three principal virtues of a programmer are Laziness, 
  Impatience, and Hubris.                                    man perl

[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 14:48:03 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@debian.org>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 14:48:04 GMT) Full text and rfc822 format available.

Message #92 received at 666126-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Pino Toscano <pino@debian.org>, 666126-done@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Sat, 30 Jun 2012 16:37:18 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 28, 2012 at 23:52:45 +0200, Pino Toscano wrote:

> I would like to ask a slot for a Poppler 0.18.x transition.
> Currently there is Poppler 0.18.4 in experimental already. Please note
> that there are still few issues that prevents it to be started,
> so I'm filing this at this time to have this transition considered
> by release-team.
> 
> This transition impacts the existing poppler libraries in the following ways:
> - libpoppler13 → libpoppler19
> - libpoppler-glib6 → libpoppler-glib8
> - libpoppler-qt4-3 -- BC with 0.16, but bumps shlibs
> 
AFAICT that's all done, closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666126; Package release.debian.org. (Sat, 30 Jun 2012 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Jun 2012 15:09:03 GMT) Full text and rfc822 format available.

Message #97 received at 666126@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 666126@bugs.debian.org
Subject: Re: Bug#666126: transition: poppler 0.18
Date: Sat, 30 Jun 2012 17:04:35 +0200
[Message part 1 (text/plain, inline)]
Alle sabato 30 giugno 2012, Julien Cristau ha scritto:
> On Wed, Mar 28, 2012 at 23:52:45 +0200, Pino Toscano wrote:
> > I would like to ask a slot for a Poppler 0.18.x transition.
> > Currently there is Poppler 0.18.4 in experimental already. Please
> > note that there are still few issues that prevents it to be
> > started, so I'm filing this at this time to have this transition
> > considered by release-team.
> > 
> > This transition impacts the existing poppler libraries in the
> > following ways: - libpoppler13 → libpoppler19
> > - libpoppler-glib6 → libpoppler-glib8
> > - libpoppler-qt4-3 -- BC with 0.16, but bumps shlibs
> 
> AFAICT that's all done, closing.

It looks so, the transition tracker can be removed too.

Thanks again for your effort in this,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:28:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:47:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.